View a markdown version of this page

GetTestTemplate - Next generation Resilience Hub

GetTestTemplate

Retrieves a resilience test template by ARN, including the parameters it accepts and the fault actions it runs.

Request Syntax

GET /v2/get-test-template?testTemplateArn=testTemplateArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

testTemplateArn

The ARN of the test template to retrieve.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):([0-9]{12}|aws):[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "testTemplate": { "actions": [ { "actionId": "string", "description": "string", "resourceType": "string" } ], "description": "string", "name": "string", "parameters": [ { "defaultValue": "string", "description": "string", "maxValues": number, "name": "string", "required": boolean, "type": "string" } ], "testTemplateArn": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

testTemplate

The requested test template.

Type: TestTemplate object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: